Create a federal level control budget
post
/fscmRestApi/resources/11.13.18.05/fedLevelControlBudgets
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
BudgetLevel: string
Title:
Budget Level NameBudget level of the control budget. -
ControlBudget: string
Title:
Control BudgetThe name of the control budget. -
Enabled: string
Title:
EnabledDefault Value:YesIndicates whether the control budget is available for use with the specified budget level. -
LedgerName: string
Title:
Ledger NameThe name of the ledger associated with the control budget. -
LevelControlBudgetId: integer
(int64)
Title:
Control Budget IDThe unique identifier for the budget level associated with the control budget. -
ParentControlBudget: string
Title:
Parent Control BudgetThe name of the parent control budget.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : fedLevelControlBudgets-item-response
Type:
Show Source
object-
BudgetLevel: string
Title:
Budget Level NameBudget level of the control budget. -
ControlBudget: string
Title:
Control BudgetThe name of the control budget. -
ControlBudgetStatus: string
Title:
Control Budget StatusRead Only:trueThe current state of a control budget that controls whether it can be used to enforce budgetary control and validate transactions. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the row. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time of the creation of the row. -
Enabled: string
Title:
EnabledDefault Value:YesIndicates whether the control budget is available for use with the specified budget level. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date and time of the last update of the row. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the row. -
LastUpdateLogin: string
Title:
Last Update LoginRead Only:trueMaximum Length:32The session login associated to the user who last updated the row. -
LedgerName: string
Title:
Ledger NameThe name of the ledger associated with the control budget. -
LevelControlBudgetId: integer
(int64)
Title:
Control Budget IDThe unique identifier for the budget level associated with the control budget. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ParentControlBudget: string
Title:
Parent Control BudgetThe name of the parent control budget. -
SourceBudget: string
Title:
Source BudgetRead Only:trueThe originating budget version or data set that provides the authorized funding amounts used for budgetary control and funds checking. -
SourceBudgetType: string
Title:
Source Budget TypeRead Only:trueThe classification that identifies the kind of budget data being used as the funding source for a control budget.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to create a a federal level control budget by submitting a POST request on the REST resource using cURL.
curl -i -u "<username>:<password>" -H "Content-Type: application/json" -X POST -d <payload> https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/fedLevelControlBudgets
Request Body Example
The following shows an example of the request body in JSON format.
{
"LedgerName": "USFed1 US",
"ControlBudget": "XCC CB 2",
"ParentControlBudget": "XCC CB 1",
"BudgetLevel": "Allowance",
"Enabled": "Yes"
}
Response Body Example
The following shows an example of the response body in JSON format.
{
"LevelControlBudgetId": "300100660796605",
"LedgerName": "USFed1 US",
"ControlBudget": "XCC CB 2",
"ParentControlBudget": "XCC CB 1",
"BudgetLevel": "Allowance",
"SourceBudgetType": "EPM Financials module",
"SourceBudget": "XCC CB 2",
"ControlBudgetStatus": "In use",
"Enabled": "Yes",
"LastUpdateDate": "2026-08-28T15:55:54.411+00:00",
"CreatedBy": "username",
"CreationDate": "2026-08-28T15:55:54.002+00:00",
"LastUpdatedBy": "username",
"LastUpdateLogin": "58FF0FB27FF91EEFE063A125060A6D79",
"links": [
{
"rel": "self",
"href": "http://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/fedLevelControlBudgets/300100660796605",
"name": "300100660796605",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
{
"rel": "canonical",
"href": "http://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/fedLevelControlBudgets/300100660796605",
"name": "fedLevelControlBudgets",
"kind": "item"
}
]
}